package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;
import gov.va.med.fw.model.lookup.AbstractCode;

public class ApplicationStatus extends AbstractNamedActiveLookup {

	private static final long serialVersionUID = -4283827409460382176L;
	
	public static final Code  NEW_APPLICATION = new Code("New Application");
	public static final Code  IN_PROCESS = new Code("In Process");
	public static final Code  COMPLETE = new Code("Complete");
	public static final Code  CANCEL = new Code("Cancel");

	public static class Code extends AbstractCode
	{

		private static final long serialVersionUID = -1856595159094095019L;

		private Code(String code)
		{
			super(code);
		}

		public static Code getByCode(String code)
		{
			return (Code)getCode(Code.class, code);
		}
		
	}/**
	 * An instance of serialVersionUID
	 */

	 /**
	  * Default constructor.
	  */
	public ApplicationStatus() {
		super();
	}
}
